MISSINdevelopersLog in

API reference

WaitlistDestinationCreate

Add a sync destination (an email list) to a waitlist. Write access, waitlists toolset, MCP tool create_waitlist_destination.

Access: Write

Variables

VariableTypeRequiredAcceptsDescription
inputWaitlistDestinationCreateInput!yesInput object, below

Input types

WaitlistDestinationCreateInput

FieldTypeRequiredAcceptsDescription
connectionIdUUID!yes
listIdString!yes1 to 64 characters
listNameString!yes1 to 200 characters
marketingPermissionIdStringno1 to 64 charactersMailchimp GDPR audiences only.
triggerWaitlistDestinationTriggernoOne of ON_CONFIRM, ON_RELEASEON_CONFIRM (default) or ON_RELEASE.
waitlistIdUUID!yes

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistDestinationCreate","variables":{"input":{"connectionId":"00000000-0000-0000-0000-000000000000","listId":"…","listName":"…","waitlistId":"00000000-0000-0000-0000-000000000000"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"37cfcb924dc38e1bc27fab6161b026dc0e7be9048a8ede005ee462f6bf96fa98"}}}'

Document

graphql
mutation WaitlistDestinationCreate($input: WaitlistDestinationCreateInput!) { __typename waitlistDestinationCreate(input: $input) { __typename destination { __typename id } userErrors { __typename code field message } } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.